/*  
  HilfeDlg.java

  11.03.2001: tk, sourcecode released under the GPL.

  Copyright (c)2001 by SoPra2001 Gruppe 14, University of Dortmund
  mail for contact: thomas.kindler@gmx.de

  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, or (at your 
  option) any later version. Please read the included "copying.txt" file,
  or the full License at http://www.gnu.org/copyleft for more details.
*/

package gui;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import logic.*;

/**
 * Title:        TimeToaster
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Sopra Gruppe 14
 * @author
 * @version 1.0
 */

public class HilfeDlg extends JDialog {
  JPanel panel1 = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();
  JLabel jLabel1 = new JLabel();
  JPanel jPanel1 = new JPanel();
  JButton jButton_OK = new JButton();
  FlowLayout flowLayout1 = new FlowLayout();

  public HilfeDlg(JComponent parent) {
    super((Frame)parent.getTopLevelAncestor(), "ALL YOUR BASE ARE BELONG TO US", true);
    try {
      jbInit();
      pack();
      setLocationRelativeTo(parent);
      getRootPane().setDefaultButton(jButton_OK);
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }


  void jbInit() throws Exception {
    panel1.setLayout(borderLayout1);
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 300));
    jLabel1.setForeground(Color.darkGray);
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setHorizontalTextPosition(SwingConstants.CENTER);
    jLabel1.setText("RTFM");
    jButton_OK.setText("OK?");
    jButton_OK.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton_OK_actionPerformed(e);
      }
    });
    jPanel1.setLayout(flowLayout1);
    flowLayout1.setAlignment(FlowLayout.RIGHT);
    this.setResizable(false);
    this.setModal(true);
    getContentPane().add(panel1);
    panel1.add(jLabel1, BorderLayout.CENTER);
    panel1.add(jPanel1, BorderLayout.SOUTH);
    jPanel1.add(jButton_OK, null);
  }

  /**Overridden so we can exit when window is closed*/
  protected void processWindowEvent(WindowEvent e) {
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }

  /**Close the dialog*/
  void cancel() {
    dispose();
  }

  void jButton_OK_actionPerformed(ActionEvent e) {
    cancel();
  }

}
